- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# mouse.c File Reference

`#include <isa/mouse.h>`
`#include <isa/8259.h>`
`#include <sys/idt.h>`
`#include <sys/gdt.h>`
`#include <sys/io.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/types.h>`

Include dependency graph for mouse.c:

Go to the source code of this file.

## Functions
| asm (".globl mouseISR \n""mouseISR: \n"" pusha \n"" call mouseHandler \n"" popa \n"" iret \n")
static uInt8 | kbdRead ()
static void | kbdWrite (uInt16 port, uInt8 data)
static uInt8 | kbdWriteRead (uInt16 port, uInt8 data, const char *expect)
void | mouseHandler ()
int | mouseInit ()

## Function Documentation

asm | ( | ".globl mouseISR \n""mouseISR: \n"" pusha \n"" call mouseHandler \n"" popa \n"" iret \n" |  | ) |

static uInt8 kbdRead | ( |  | ) | `[static]`

Definition at line 38 of file mouse.c.

References inportByte().

Referenced by kbdWriteRead(), and mouseInit().

Here is the call graph for this function:

static void kbdWrite | ( | uInt16 | port,
|  | uInt8 | data |
| ) |  |  | `[static]`

Definition at line 59 of file mouse.c.

References inportByte(), and outportByte().

Referenced by kbdWriteRead(), and mouseInit().

Here is the call graph for this function:

static uInt8 kbdWriteRead | ( | uInt16 | port,
|  | uInt8 | data,
|  | const char * | expect |
| ) |  |  | `[static]`

Definition at line 75 of file mouse.c.

References kbdRead(), and kbdWrite().

Referenced by mouseInit().

Here is the call graph for this function:

void mouseHandler | ( |  | ) |

Definition at line 141 of file mouse.c.

References eoi, kprintf(), mPic, outportByte(), and sPic.

Here is the call graph for this function:

int mouseInit | ( |  | ) |

Definition at line 94 of file mouse.c.

References dDpl3, dInt, dPresent, eoi, irqEnable(), kbdRead(), kbdWrite(), kbdWriteRead(), kprintf(), mouseISR(), mPic, mVec, outportByte(), setVector(), and sPic.

Here is the call graph for this function: